{% block Grille %}
    <div class="LGDataTablesCoche">
        <div id = "entityFormBaseGrille_DataTableInfos"></div>
        <table id="entityFormBaseGrille_DataTable_Usagers" class="display" cellspacing="0" width="100%" >
            <thead>
                <tr id="entityFormBaseGrille_DataTableTitres"> <!-- iTable_Form_titres -->
                    {% block datatable_title %}
                        <th id="selectionner"><input name="actiBasesCompétences_ToggleAllCompétences_U" class="EFControl" value="1" id="select-all-U" type="checkbox" /></th>
                        <th id="iidUsager" style="display: none">Id</th>
                        <th id="cnom">Nom</th> 
                        <th id="iId_ActiBase" style="display: none">iId_ActiBase</th>
                        {% endblock %}
                </tr>
            </thead>
            <tbody>
                {% block datatable_body %}
                    {% set iRow = 0 %}
                    {% for row in poListeUsagers %}
                        <tr>
                            {% if(row.lcompetent is defined) %}
                                {% if(row.lcompetent == false) %}
                                    <td id ="row_{{ iRow|raw }}_selectionner"><input id="U" class="EFControl" type="checkbox" name="CocheU_{{ row.iid_res }}" value="{{ row.iid_res }}"><label hidden>0</label></td>
                                    {% else %}
                                    <td id ="row_{{ iRow|raw }}_selectionner"><input id="U" class="EFControl" type="checkbox" name="CocheU_{{ row.iid_res }}" value="{{ row.iid_res }}" checked><label hidden>1</label></td>
                                    {% endif %}
                                {% else %}
                                <td></td>
                            {% endif %}
                            <td id ="row_{{ iRow|raw }}_iidUsager" style="display: none" name="{{ row.iid_res }}"> {{ row.iid_res }} </td>
                            <td id ="row_{{ iRow|raw }}_cnom"> {{ row.cnom}} </td> 
                            <td id ="row_{{ iRow|raw }}_iid_actibase" class="test" style="display: none" name="{{ row.iid_actibase }}"> {{ row.iid_actibase}} </td>
                        </tr>
                        {% set iRow = iRow + 1%}
                    {% endfor %}
                {% endblock %}
            </tbody>
        </table>
        <div class='col-md-3'></div>
        <div id='Usagers_Filter' class='col-md-3' style='padding-top: 0.755em;'></div>
    </div>
{% endblock %}

<script>

    $(document).ready(entityOngletsUsagers_DocumentReady);
    function entityOngletsUsagers_DocumentReady() {

        var lsNomEntité = "usager";
        tmp_onLGDataTableInitComplete = function (poLGDataTable) {};

        // Construire la datatable
        LGDataTable_initGrille("entityFormBaseGrille_DataTable_Usagers", lsNomEntité, {}, tmp_onLGDataTableInitComplete);

        // Handle click on "Select all" control
        $('#select-all-U').on('click', function () {
            // Check/uncheck all checkboxes in the table
            actiBasesCompétences_ToggleAllCompétences('Usagers', this);
        });

        // Handle click on checkbox to set state of "Select all" control
        $('#entityFormBaseGrille_DataTable_Usagers tbody').on('change', 'input[type="checkbox"]', function () {
            // If checkbox is not checked
            actiBasesCompétences_ToggleCompétence('Usagers', this);
        });
    }
</script>